Package ej.mwt.render

## Interface RenderPolicy.RenderListener

- Enclosing class:
    RenderPolicy

      public static interface RenderPolicy.RenderListener

  Listener for render events (when it is requested and when it is actually executed).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onRenderExecuted​(Widget widget, int x, int y, int width, int height)` | Handles a render execution notification.
    `void` | `onRenderRequested​(Widget widget, int x, int y, int width, int height)` | Handles a render request notification.

- - ### Method Detail

    - #### onRenderRequested

          void onRenderRequested​(Widget widget,
                                 int x,
                                 int y,
                                 int width,
                                 int height)

      Handles a render request notification.

      Called by the `RenderPolicy` when a widget render is requested, in application thread.
      It is not called for each successive rendering relative to the `RenderPolicy`.
      It is not called for each successive rendering relative to the widget hierarchy.

      Parameters:
        `widget` - the widget requested to be rendered.
        `x` - the x coordinate of the area requested to be rendered.
        `y` - the y coordinate of the area requested to be rendered.
        `width` - the width of the area requested to be rendered.
        `height` - the height of the area requested to be rendered.

    - #### onRenderExecuted

          void onRenderExecuted​(Widget widget,
                                int x,
                                int y,
                                int width,
                                int height)

      Handles a render execution notification.

      Called by the `RenderPolicy` when a widget is rendered, in MicroUI thread.
      It is called for each successive rendering relative to the `RenderPolicy`.
      It is not called for each successive rendering relative to the widget hierarchy.

      Parameters:
        `widget` - the rendered widget.
        `x` - the x coordinate of the rendered area.
        `y` - the y coordinate of the rendered area.
        `width` - the width of the rendered area.
        `height` - the height of the rendered area.